Bug 55524 - Linker leaves bloat in .dynstr for hidden symbols
Linker leaves bloat in .dynstr for hidden symbols
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-01 11:49 EST by Alexander Larsson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 11:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2001-11-01 11:49:36 EST
The linker (really bfd) does not remove the actual string from the dynstr
section when symbols are hidden (using symbol versioning). Only the symbol
entry is removed.

The FIXME for this can be found at:
http://sources.redhat.com/cgi-bin/cvsweb.cgi/src/bfd/elflink.h?rev=1.119&content-type=text/x-cvsweb-markup&cvsroot=src
in elf_link_assign_sym_version() a few pages down:

  h->elf_link_hash_flags |= ELF_LINK_FORCED_LOCAL;
  (*bed->elf_backend_hide_symbol) (info, h);
  /* FIXME: The name of the symbol has
     already been recorded in the dynamic
     string table section.  */
Comment 1 Jakub Jelinek 2001-11-28 07:43:33 EST
Should be fixed in 2.11.92.0.12-2.

Note You need to log in before you can comment on or make changes to this bug.